clang 8.0.0

Public Member Functions | Friends | List of all members
clang::Sema::ConditionResult Class Reference

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| ConditionResult ()
bool | isInvalid () const
std::pair< VarDecl *, Expr * > | get () const
llvm::Optional< bool > | getKnownValue () const

## Friends
class | Sema

## Detailed Description

Definition at line 9887 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ ConditionResult()

clang::Sema::ConditionResult::ConditionResult | ( |  | ) |
| inline

Definition at line 9907 of file Sema.h.

## Member Function Documentation

## ◆ get()

std::pair<VarDecl *, Expr *> clang::Sema::ConditionResult::get | ( |  | ) | const
| inline

Definition at line 9909 of file Sema.h.

References clang::Sema::FullExprArg::get().

Referenced by clang::Sema::ActOnForStmt(), clang::Sema::ActOnStartOfSwitchStmt(), clang::Sema::ActOnWhileStmt(), clang::Sema::BuildIfStmt(), and clang::TreeTransform< Derived >::TransformAttr().

## ◆ getKnownValue()

llvm::Optional<bool> clang::Sema::ConditionResult::getKnownValue | ( |  | ) | const
| inline

Definition at line 9913 of file Sema.h.

References None.

Referenced by clang::TreeTransform< Derived >::TransformAttr().

## ◆ isInvalid()

bool clang::Sema::ConditionResult::isInvalid | ( |  | ) | const
| inline

Definition at line 9908 of file Sema.h.

Referenced by clang::Sema::ActOnForStmt(), clang::Sema::ActOnIfStmt(), clang::Sema::ActOnStartOfSwitchStmt(), clang::Sema::ActOnWhileStmt(), clang::Sema::BuildIfStmt(), and clang::TreeTransform< Derived >::TransformAttr().

## Friends And Related Function Documentation

## ◆ Sema

friend class Sema
| friend

Definition at line 9894 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h